[exp - 104amd64-default-build-as-user][net/rabbitmq] Failed for rabbitmq-3.7.7 in build

pkg-fallout at FreeBSD.org pkg-fallout at FreeBSD.org
Sun Aug 5 12:10:07 UTC 2018


You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     erlang at FreeBSD.org
Last committer: olgeni at FreeBSD.org
Ident:          $FreeBSD: head/net/rabbitmq/Makefile 474119 2018-07-07 19:07:16Z olgeni $
Log URL:        http://package19.nyi.freebsd.org/data/104amd64-default-build-as-user/476382/logs/rabbitmq-3.7.7.log
Build URL:      http://package19.nyi.freebsd.org/build.html?mastername=104amd64-default-build-as-user&build=476382
Log:

=>> Building net/rabbitmq
build started at Sun Aug  5 12:09:03 UTC 2018
port directory: /usr/ports/net/rabbitmq
package name: rabbitmq-3.7.7
building for: FreeBSD 104amd64-default-build-as-user-job-01 10.4-RELEASE-p9 FreeBSD 10.4-RELEASE-p9 amd64
maintained by: erlang at FreeBSD.org
Makefile ident:      $FreeBSD: head/net/rabbitmq/Makefile 474119 2018-07-07 19:07:16Z olgeni $
Poudriere version: 3.2.7-2-g1cf194be
Host OSVERSION: 1200069
Jail OSVERSION: 1004000
Job Id: 01

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1004000
UNAME_v=FreeBSD 10.4-RELEASE-p9
UNAME_r=10.4-RELEASE-p9
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.7-2-g1cf194be
MASTERMNT=/poudriere/data/.m/104amd64-default-build-as-user/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
GID=0
UID=0
PWD=/poudriere/data/.m/104amd64-default-build-as-user/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=104amd64-default-build-as-user
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/poudriere/data/.m/104amd64-default-build-as-user/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for rabbitmq-3.7.7:
     ADMIN=off: Install rabbitmqadmin script
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
erlang at FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PYTHON="/usr/local/bin/python2.7" XDG_DATA_HOME=/wrkdirs/usr/ports/net/rabbitmq/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/net/rabbitmq/work  HOME=/wrkdirs/usr/ports/net/rabbitmq/work TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8
--End CONFIGURE_ENV--

--MAKE_ENV--
PATH="/usr/local/lib/erlang19/bin:/wrkdirs/usr/ports/net/rabbitmq/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin"  TARGET_DIR="/wrkdirs/usr/ports/net/rabbitmq/work/stage/usr/local/lib/erlang/lib/rabbitmq_server-3.7.7"  SBIN_DIR="/wrkdirs/usr/ports/net/rabbitmq/work/stage/usr/local/sbin/"  MAN_DIR="/wrkdirs/usr/ports/net/rabbitmq/work/stage/usr/local/man"  DOC_INSTALL_DIR="/wrkdirs/usr/ports/net/rabbitmq/work/stage/usr/local/share/examples/rabbitmq"  VERSION="3.7.7" XDG_DATA_HOME=/wrkdirs/usr/ports/net/rabbitmq/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/net/rabbitmq/work  HOME=/wrkdirs/usr/ports/net/rabbitmq/work TMPDIR="/tmp" NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-p
 rotector -fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
VERSION=3.7.7 PORTDOCS="" PORTEXAMPLES="" ADMIN="@comment " NO_ADMIN="" PYTHON_INCLUDEDIR=include/python2.7  PYTHON_LIBDIR=lib/python2.7  PYTHON_PLATFORM=freebsd10  PYTHON_PYOEXTENSION=pyo  PYTHON_SITELIBDIR=lib/python2.7/site-packages  PYTHON_SUFFIX=27  PYTHON_VER=2.7  PYTHON_VERSION=python2.7 PYTHON2="" PYTHON3="@comment " OSREL=10.4 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/rabbitmq"  EXAMPLESDIR="share/examples/rabbitmq"  DATADIR="share/rabbitmq"  WWWDIR="www/rabbitmq"  ETCDIR="etc/rabbitmq"
--End PLIST_SUB--

--SUB_LIST--
ADMIN="@comment " NO_ADMIN="" PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/rabbitmq DOCSDIR=/usr/local/share/doc/rabbitmq EXAMPLESDIR=/usr/local/share/examples/rabbitmq  WWWDIR=/usr/local/www/rabbitmq ETCDIR=/usr/local/etc/rabbitmq
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2

# stable/10 includes src.conf too late but make.conf is in sys.mk
.if ${.CURDIR:M/poudriere/jails/10*/usr/src/usr.bin/xlint*}
# Disable build of llib now that head no longer has lint(1)
LINT=	true
.endif
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512 Target: x86_64-unknown-freebsd10.4 Thread model: posix
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512 Target: x86_64-unknown-freebsd10.4 Thread model: posix "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=error: invalid value 'c++14' in '-std=c++14'
CC_OUTPUT_921dbbb2_f2776b26=error: invalid value 'c++17' in '-std=c++17'
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=error: invalid value 'gnu++14' in '-std=gnu++14'
CC_OUTPUT_921dbbb2_fb62803b=error: invalid value 'gnu++17' in '-std=gnu++17'
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512 Target: x86_64-unknown-freebsd10.4 Thread model: posix
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=amd64
OPSYS=FreeBSD
_OSRELEASE=10.4-RELEASE-p9
OSREL=10.4
OSVERSION=1004000
PYTHONBASE=/usr/local
HAVE_COMPAT_IA32_KERN=YES
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
sbsize                   (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License MPL11 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   rabbitmq-3.7.7 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.5_1.txz
[104amd64-default-build-as-user-job-01] Installing pkg-1.10.5_1...
[104amd64-default-build-as-user-job-01] Extracting pkg-1.10.5_1: .......... done
===>   rabbitmq-3.7.7 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of rabbitmq-3.7.7
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License MPL11 accepted by the user
===> Fetching all distfiles required by rabbitmq-3.7.7 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License MPL11 accepted by the user
===> Fetching all distfiles required by rabbitmq-3.7.7 for building
=> SHA256 Checksum OK for rabbitmq-server-3.7.7.tar.xz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License MPL11 accepted by the user
===> Fetching all distfiles required by rabbitmq-3.7.7 for building
===>  Extracting for rabbitmq-3.7.7
=> SHA256 Checksum OK for rabbitmq-server-3.7.7.tar.xz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for rabbitmq-3.7.7
===>  Applying FreeBSD patches for rabbitmq-3.7.7
===========================================================================
=======================<phase: build-depends  >============================
===>   rabbitmq-3.7.7 depends on package: erlang-runtime19>=19.3 - not found
===>   Installing existing package /packages/All/erlang-runtime19-19.3.6.9_1.txz
[104amd64-default-build-as-user-job-01] Installing erlang-runtime19-19.3.6.9_1...
[104amd64-default-build-as-user-job-01] Extracting erlang-runtime19-19.3.6.9_1: .......... done
Message from erlang-runtime19-19.3.6.9_1:

===========================================================================

To use this runtime port for development or testing, just prepend
its binary path ("/usr/local/lib/erlang19/bin") to your PATH variable.

===========================================================================
===>   rabbitmq-3.7.7 depends on package: erlang-runtime19>=19.3 - found
===>   Returning to build of rabbitmq-3.7.7
===>   rabbitmq-3.7.7 depends on executable: elixir - not found
===>   Installing existing package /packages/All/elixir-1.7.0.txz
<snip>

 2) /usr/local/share/sgml/catalog.ports

   This catalog is for handling SGML stuff installed under
   /usr/local/share/sgml.  It is changed by ports/packages.

 3) /usr/local/share/xml/catalog

   The top level catalog for XML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 4) /usr/local/share/xml/catalog.ports

   This catalog is for handling XML stuff installed under
   /usr/local/share/xml.  It is changed by ports/packages.
Message from boehm-gc-7.6.6:

===>   NOTICE:

The boehm-gc port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
Message from perl5-5.26.2:

The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message from xmlto-0.0.28:

For benefits of conversions away from XHTML1 through XSL-FO,
a stylesheet xhtml2fo.xsl has been installed
into /usr/local/share/xmlto. Example use:

  xmlto pdf -x /usr/local/share/xmlto/xhtml2fo.xsl myXHTML1file.xml

More style sheets for XHTML1 conversions can be found at
<http://www.antennahouse.com/XSLsample/XSLsample.htm>
under "Stylesheet for XHTML to XSL-FO transformation"
===>   rabbitmq-3.7.7 depends on executable: xmlto - found
===>   Returning to build of rabbitmq-3.7.7
===>   rabbitmq-3.7.7 depends on executable: zip - not found
===>   Installing existing package /packages/All/zip-3.0_1.txz
[104amd64-default-build-as-user-job-01] Installing zip-3.0_1...
[104amd64-default-build-as-user-job-01] Extracting zip-3.0_1: .......... done
===>   rabbitmq-3.7.7 depends on executable: zip - found
===>   Returning to build of rabbitmq-3.7.7
===>   rabbitmq-3.7.7 depends on executable: rsync - not found
===>   Installing existing package /packages/All/rsync-3.1.3.txz
[104amd64-default-build-as-user-job-01] Installing rsync-3.1.3...
[104amd64-default-build-as-user-job-01] `-- Installing libiconv-1.14_11...
[104amd64-default-build-as-user-job-01] `-- Extracting libiconv-1.14_11: .......... done
[104amd64-default-build-as-user-job-01] Extracting rsync-3.1.3: .......... done
===>   rabbitmq-3.7.7 depends on executable: rsync - found
===>   Returning to build of rabbitmq-3.7.7
===>   rabbitmq-3.7.7 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_2.txz
[104amd64-default-build-as-user-job-01] Installing gmake-4.2.1_2...
[104amd64-default-build-as-user-job-01] Extracting gmake-4.2.1_2: .......... done
===>   rabbitmq-3.7.7 depends on executable: gmake - found
===>   Returning to build of rabbitmq-3.7.7
===>   rabbitmq-3.7.7 depends on file: /usr/local/bin/python2.7 - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for rabbitmq-3.7.7
===========================================================================
=======================<phase: build          >============================
===>  Building for rabbitmq-3.7.7
gmake[1]: Entering directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7'
gmake[2]: Entering directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/rabbit_common'
gmake[3]: Entering directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/lager'
gmake[4]: Entering directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/goldrush'
 DEPEND goldrush.d
 ERLC   glc.erl glc_code.erl glc_lib.erl glc_ops.erl glc_run.erl gr_app.erl gr_context.erl gr_counter.erl gr_counter_sup.erl gr_manager.erl gr_manager_sup.erl gr_param.erl gr_param_sup.erl gr_sup.erl gre.erl
 APP    goldrush.app.src
gmake[4]: Leaving directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/goldrush'
 DEPEND lager.d
 ERLC   error_logger_lager_h.erl lager.erl lager_app.erl lager_backend_throttle.erl lager_common_test_backend.erl lager_config.erl lager_console_backend.erl lager_crash_log.erl lager_default_formatter.erl lager_file_backend.erl lager_format.erl lager_handler_watcher.erl lager_handler_watcher_sup.erl lager_manager_killer.erl lager_msg.erl lager_rotator_behaviour.erl lager_rotator_default.erl lager_stdlib.erl lager_sup.erl lager_transform.erl lager_trunc_io.erl lager_util.erl
 APP    lager.app.src
gmake[3]: Leaving directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/lager'
gmake[3]: Entering directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/jsx'
 DEPEND jsx.d
 ERLC   jsx.erl jsx_config.erl jsx_consult.erl jsx_decoder.erl jsx_encoder.erl jsx_parser.erl jsx_to_json.erl jsx_to_term.erl jsx_verify.erl
Old inliner: threshold=0 functions=[{doublequote,5},
                                    {singlequote,5},
                                    {maybe_replace,2},
                                    {format_number,1},
                                    {handle_event,3}]
 APP    jsx.app.src
gmake[3]: Leaving directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/jsx'
gmake[3]: Entering directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/ranch'
 DEPEND ranch.d
 ERLC   ranch.erl ranch_acceptor.erl ranch_acceptors_sup.erl ranch_app.erl ranch_conns_sup.erl ranch_listener_sup.erl ranch_protocol.erl ranch_server.erl ranch_ssl.erl ranch_sup.erl ranch_tcp.erl ranch_transport.erl
 APP    ranch.app.src
gmake[3]: Leaving directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/ranch'
gmake[3]: Entering directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/ranch_proxy_protocol'
 DEPEND ranch_proxy_protocol.d
 ERLC   ranch_proxy.erl ranch_proxy_encoder.erl ranch_proxy_protocol.erl ranch_proxy_ssl.erl
 APP    ranch_proxy_protocol.app.src
gmake[3]: Leaving directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/ranch_proxy_protocol'
gmake[3]: Entering directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/recon'
 DEPEND recon.d
 ERLC   recon.erl recon_alloc.erl recon_lib.erl recon_trace.erl
Old inliner: threshold=0 functions=[{insert,2},{merge,2}]
 APP    recon.app.src
gmake[3]: Leaving directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/recon'
 GEN    include/rabbit_framing.hrl
 GEN    src/rabbit_framing_amqp_0_8.erl
 GEN    src/rabbit_framing_amqp_0_9_1.erl
 DEPEND rabbit_common.d
 ERLC   app_utils.erl code_version.erl credit_flow.erl delegate.erl delegate_sup.erl file_handle_cache.erl file_handle_cache_stats.erl gen_server2.erl lager_forwarder_backend.erl mirrored_supervisor.erl mnesia_sync.erl pmon.erl priority_queue.erl rabbit_amqp_connection.erl rabbit_amqqueue_common.erl rabbit_auth_backend_dummy.erl rabbit_auth_mechanism.erl rabbit_authn_backend.erl rabbit_authz_backend.erl rabbit_backing_queue.erl rabbit_basic_common.erl rabbit_binary_generator.erl rabbit_binary_parser.erl rabbit_cert_info.erl rabbit_channel_common.erl rabbit_command_assembler.erl rabbit_control_misc.erl rabbit_core_metrics.erl rabbit_data_coercion.erl rabbit_error_logger_handler.erl rabbit_event.erl rabbit_exchange_type.erl rabbit_framing_amqp_0_8.erl rabbit_framing_amqp_0_9_1.erl rabbit_heartbeat.erl rabbit_http_util.erl rabbit_json.erl rabbit_log.erl rabbit_misc.erl rabbit_msg_store_index.erl rabbit_net.erl rabbit_nodes_common.erl rabbit_numerical.erl rabbit_password_hashing.erl rabb
 it_pbe.erl rabbit_peer_discovery_backend.erl rabbit_policy_validator.erl rabbit_queue_collector_common.erl rabbit_queue_master_locator.erl rabbit_registry.erl rabbit_registry_class.erl rabbit_resource_monitor_misc.erl rabbit_runtime_parameter.erl rabbit_semver.erl rabbit_semver_parser.erl rabbit_ssl_options.erl rabbit_types.erl rabbit_writer.erl supervisor2.erl vm_memory_monitor.erl worker_pool.erl worker_pool_sup.erl worker_pool_worker.erl
 APP    rabbit_common
gmake[2]: Leaving directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/rabbit_common'
gmake[2]: Entering directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/rabbit'
gmake[3]: Entering directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/rabbitmq_cli'
 GEN    escript/rabbitmqctl
Resolving Hex dependencies...
Dependency resolution completed:
Unchanged:
  csv 2.0.0
  json 1.0.3
  parallel_stream 1.0.6
  simetric 0.2.0
* Getting json (Hex package)
* Getting csv (Hex package)
* Getting simetric (Hex package)
* Getting parallel_stream (Hex package)
==> simetric
Compiling 3 files (.ex)
Generated simetric app
warning: found quoted keyword "coveralls" but the quotes are not required. Note that keywords are always atoms, even when quoted, and quotes should only be used to introduce keywords with foreign characters in them
  /wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/rabbitmq_cli/deps/parallel_stream/mix.exs:17

==> parallel_stream
Compiling 11 files (.ex)
warning: Stream.chunk/4 is deprecated. Use Stream.chunk_every/4 instead
  lib/parallel_stream/producer.ex:16

Generated parallel_stream app
==> json
Compiling 15 files (.ex)
warning: redefining @doc attribute previously set at line 242. If you want to redefine a previously specified doc, use a definition without a body after the original documentation
  lib/json/encoder.ex:252

Generated json app
warning: found quoted keyword "coveralls" but the quotes are not required. Note that keywords are always atoms, even when quoted, and quotes should only be used to introduce keywords with foreign characters in them
  /wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/rabbitmq_cli/deps/csv/mix.exs:18

==> csv
Compiling 10 files (.ex)
warning: outdented heredoc line. The contents inside the heredoc should be indented at the same level as the closing """. The following is forbidden:

    def text do
      """
    contents
      """
    end

Instead make sure the contents are indented as much as the heredoc closing:

    def text do
      """
      contents
      """
    end

The current heredoc line is indented too little
  lib/csv.ex:69

warning: String.strip/1 is deprecated. Use String.trim/1 instead
  lib/csv/decoding/parser.ex:78

Generated csv app
==> rabbitmqctl
** (Mix) You're trying to run :rabbitmqctl on Elixir v1.7.0 but it has declared in its mix.exs file it supports only Elixir ~> 1.6.0
gmake[3]: *** [Makefile:93: escript/rabbitmqctl] Error 1
gmake[3]: Leaving directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/rabbitmq_cli'
gmake[2]: *** [erlang.mk:4322: deps] Error 2
gmake[2]: Leaving directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7/deps/rabbit'
gmake[1]: *** [erlang.mk:4322: deps] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/net/rabbitmq/work/rabbitmq-server-3.7.7'
*** Error code 1

Stop.
make: stopped in /usr/ports/net/rabbitmq


More information about the freebsd-erlang mailing list